## samba 3.0.22-3maemo2

=== debian/changelog ===
samba (3.0.22-3maemo2) diablo; urgency=low

  * Section field in control file renamed to lowercase.

 -- Hallyson Melo <hallyson.melo@openbossa.org>  Fri, 03 Sep 2009 15:02:11 -0300

samba (3.0.22-3maemo1) diablo; urgency=low

  * smbpasswd included at samba main package.

 -- Andre Rodrigues <andre.rodrigues@signove.com>  Fri, 28 Aug 2009 12:02:01 -0300

samba (3.0.22-3) mistral; urgency=low

  * Alter debian scripts to work with busybox sed.

 -- Santtu Lakkala <inz@inz.fi>  Mon, 17 Jul 2006 11:28:44 +0300

samba (3.0.22-2) mistral; urgency=low

  * Remove bogus Dependencies from main package.

 -- Santtu Lakkala <inz@inz.fi>  Fri, 14 Jul 2006 11:16:29 +0300

samba (3.0.22-1) dapper; urgency=low

  * Build for maemo.

 -- Santtu Lakkala <inz@inz.fi>  Fri, 14 Jul 2006 10:23:20 +0300

samba (3.0.22-0) dapper; urgency=low

  * Config file changes only in this upload; no destabilising code changes.
  * Comment out the default [homes] shares and add more verbose comments to
    explain what they do and how they work (closes: launchpad.net/27608)
  * Add a "valid users = %S" stanza to the commented-out [homes] section, to
    show users how to restrict access to \\server\username to only username.
  * Change the (commented-out) "printer admin" example to use "@lpadmin"
    instead of "@ntadmin", since the lpadmin group is used for spool admin.
  * After much faff about fixing this properly and getting fixes
    submitted upstream (some of which has happened), I've concluded
    that getting every case_tables usage in the code nailed down
    before release just isn't going to happen, so applying a more
    global bandaid (ubuntu-setlocale-fixes.patch) instead to stop
    the SEGVs completely (closes: launchpad.net/{39990,39484,39956})
  * Snag a patch from upstream SVN to stop winbindd from panicking
    when not joined to a domain (closes: launchpad.net/32614)
  * Mangle patch fuzz for previous patch to make it apply cleanly.
  * Sync with Debian's new upstream (UVF exception granted by mdz) to
    resolve the information disclosure vuln reported in CVE-2006-1059
  * Make the panic-action script check for 'mail' before it goes about
    trying to backtrace crashes and mail to root (launchpad.net/32987)
  * Include patch from upstream to purge setlocale calls from the client
    library, so we don't break the desktop locale (launchpad.net/28603)
  * Make the samba and winbind init scripts more robust in the face of a
    tmpfs /var/run, creating directories as we go (launchpad.net/33389)
  * Fix up syntax error in the default config file (launchpad.net/37965)
  [ Steve Langasek ]
  * New upstream release
    - CAN-2006-1059: fixes an information leak in logfiles of systems using
      winbind with log level >= 5.
  * Fix a typo in the default smb.conf (closes: #354495).

  [ Noèl Köthe ]
  * replacing SMB with SMB/CIFS in the descriptions like
    named on the samba.org webpage. Closes: #356335

 -- Steve Langasek <vorlon@debian.org>  Sun, 12 Mar 2006 22:40:28 +0100

samba (3.0.21c-1ubuntu1) dapper; urgency=low

  * Merge with Debian for new upstream bugfixes, UVF exception by mdz.
  * Remove dapper->dapper upgrade hack, which should be a non-issue now.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 24 Mar 2006 02:59:17 +1100

samba (3.0.21c-1) unstable; urgency=low

  * New upstream release
  * add a few logon-related parameters as good and safe
    examples for *DC-type settings. Closes: #349051
  * add an example "add user script". Closes: #349050
  * drop outdated information from the smbfs package description
    Closes: #352828

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Feb 2006 11:58:45 +0100

samba (3.0.21b-1ubuntu2) dapper; urgency=low

  * Due to a misplaced file in older samba packages, temporarily make
    python2.4-samba Replace samba for smooth dapper->dapper upgrades.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Feb 2006 20:33:34 +1100

samba (3.0.21b-1ubuntu1) dapper; urgency=low

  * Sync with Debian's new upstream release (UVF exception granted by Colin),
    which fixes several nasty crashes, as well as a vicious memory leak in
    winbind that can OOM a machine within days (Closes: launchpad.net/32440)
  * Resolve some fairly scary merge conflicts from Debian's switch to quilt.
  * Revert Debian's installation of mount.cifs and umount.cifs as suid until
    Martin Pitt and I have had a chance to review/discuss this for Ubuntu.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Feb 2006 15:23:37 +1100

samba (3.0.21b-1) unstable; urgency=low

  * The "Tridge" release: celebrates the 2005 Free Software Award winner

  * New upstream release

  * Upstream bugs fixed by the new upstream release:
    - Support changing expired passwords in
      pam_winbindd. Closes: #258302
    - vfs_full_audit fixes for multiple connections. Closes: #348419
    - crashes of smbd in security=server mode
      Closes: #346045, #346069, #350598, #351448

  [ Peter Eisentraut ]
  * Put correct paths for Debian installations into the man pages, and
    remove outdated swat setup instructions therein. Closes: #321005
  * Fix lintian overrides and install them into the right packages.
  * Remove swat inetd registration in remove, not purge. Closes: #313214
  * Add findsmb script. Closes: #231806
  * Fix sonames of libnss_win{bind,s}.so. Closes: #333290
  * Remove autoconf build dependency.
  * Remove remnants of old patch system.
  * Install smbumount setgid root. Closes: #253437
  * Add watch file.
  * Activate kernel oplocks. Closes: #218511
  * Disable PIE compilation. Closes: #346416

  [ Christian Perrier ]
  * activate building of idmap_rid. Closes: #284681.
    Thanks to Ubuntu patches
  * activate building of idmap_ad. Closes: #341814
  * modify the long description of the libsmbclient-dev package to
    avoid repeating the long description. Thanks, linda.

  [ Steve Langasek ]
  * Also enable setresuid()/setresgid() on alpha and sparc now that support
    for Linux 2.2 is dropped.

