=== debian/control ===
Source: samba
Section: net
Priority: optional
Maintainer: Santtu Lakkala <inz@inz.fi>
Build-Depends: debhelper (>= 4.1.13), libacl1-dev (>= 2.2.11-1) [i386 ia64 alpha amd64 armeb arm hppa m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc], po-debconf, binutils (>= 2.14.90.0.7), libpopt-dev, dpkg-dev (>= 1.13.9)
Standards-Version: 3.6.2

Package: samba
Section: user/tools
Architecture: any
Depends: samba-common (>= ${Source-Version}), netbase, ${shlibs:Depends}, ${misc:Depends}
Recommends: smbldap-tools
Replaces: samba-common (<= 2.0.5a-2)
Description: a LanManager-like file and printer server for Unix
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the components necessary to turn your
 Debian GNU/Linux box into a powerful file and printer server.
 .
 Currently, the Samba Debian packages consist of the following:
 .
  samba - LanManager-like file and printer server for Unix.
  samba-common - Samba common files used by both the server and the client.
  smbclient - LanManager-like simple client for Unix.
  swat - Samba Web Administration Tool
  samba-doc - Samba documentation.
  samba-doc-pdf - Samba documentation in PDF format.
  smbfs - Mount and umount commands for the smbfs (kernels 2.2.x and above).
  libsmbclient - Shared library that allows applications to talk to SMB/CIFS servers
  libsmbclient-dev - libsmbclient shared libraries
 .
 It is possible to install a subset of these packages depending on
 your particular needs. For example, to access other SMB/CIFS servers you
 should only need the smbclient and samba-common packages.
 .
 http://www.samba.org/

Package: smbclient
Architecture: any
Section: user/tools
Depends: samba-common (= ${Source-Version}), ${shlibs:Depends}
Replaces: samba (<< 2.999+3.0.alpha21-4), smbget
Conflicts: smbget
Provides: samba-client
Suggests: smbfs
Description: a LanManager-like simple client for Unix
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains some client components of the Samba suite. In
 particular it includes the command line utilities smbclient, smbtar,
 and smbspool. If you want to mount shares exported from Microsoft
 Windows machines or a Samba server you must install the smbfs package.

Package: swat
Architecture: any
Section: user/tools
Depends: samba (= ${Source-Version}), samba-doc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}, netbase
Description: Samba Web Administration Tool
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains the components of the Samba suite that are needed
 for Web administration of the Samba server.

Package: samba-doc
Section: doc
Architecture: all
Suggests: samba-doc-pdf
Description: Samba documentation
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the documentation that comes in the original
 tarball, except in PDF format.

Package: samba-doc-pdf
Section: doc
Architecture: all
Description: Samba documentation (PDF format)
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the documentation that comes in the original
 tarball in PDF format.

Package: smbfs
Section: user/tools
Priority: optional
Architecture: any
Depends: netbase (>= 2.02), samba-common (= ${Source-Version}), ${shlibs:Depends}
Suggests: smbclient
Replaces: smbfsx
Conflicts: smbfsx, suidmanager (<< 0.50)
Description: mount and umount commands for the smbfs (for kernels >= than 2.2.x)
 Smbfs is a filesystem which understands the SMB/CIFS protocol.
 This is the protocol Windows for Workgroups, Windows NT or
 LAN Manager use to talk to each other. It was inspired by
 samba, the program by Andrew Tridgell that turns any unix
 site into a file server for DOS or Windows clients.
 .
 If you want to use command-line utilities like smbclient, smbtar
 and/or smbspool you just need to install the smbclient package.

Package: libsmbclient
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Description: shared library that allows applications to talk to SMB/CIFS servers
 libsmbclient allows to write applications that use the SMB/CIFS protocol.
 This gives applications the ability to talk to Microsoft Windows servers
 and Unix servers running Samba.
 .
 This package contains the libsmbclient shared library.

Package: libsmbclient-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libsmbclient (= ${Source-Version})
Description: libsmbclient static libraries and headers
 libsmbclient allows to write applications that use the SMB/CIFS protocol.
 This gives applications the ability to talk to Microsoft Windows servers
 and Unix servers running Samba.
 .
 This package contains libraries and headers needed to build applications
 that use SMB/CIFS services.

Package: samba-dbg
Section: devel
Architecture: any
Depends: samba (= ${Source-Version})
Description: Samba debugging symbols
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains debugging symbols for the programs included in
 the samba and smbclient packages.
